Qt 5.6 | Qt GUI | C++ Classes | QAccessibleTextCursorEvent

Qt 5.6.2 Reference Documentation

# QAccessibleTextCursorEvent Class

The QAccessibleTextCursorEvent class notifies of cursor movements. More...

Header: | #include <QAccessibleTextCursorEvent>
qmake: | QT += gui
Inherits: | QAccessibleEvent
Inherited By: | QAccessibleTextInsertEvent, QAccessibleTextRemoveEvent, QAccessibleTextSelectionEvent, and QAccessibleTextUpdateEvent

- List of all members, including inherited members

## Public Functions

| QAccessibleTextCursorEvent(QObject *object, int cursorPos)
| QAccessibleTextCursorEvent(QAccessibleInterface *iface, int cursorPos)
int | cursorPosition() const
void | setCursorPosition(int position)

- 5 public functions inherited from QAccessibleEvent

## Detailed Description

The QAccessibleTextCursorEvent class notifies of cursor movements.

This class is used with QAccessible::updateAccessibility().

## Member Function Documentation

### QAccessibleTextCursorEvent::QAccessibleTextCursorEvent(QObject *object, int cursorPos)

Create a new QAccessibleTextCursorEvent for object. The cursorPos is the new cursor position.

### QAccessibleTextCursorEvent::QAccessibleTextCursorEvent(QAccessibleInterface *iface, int cursorPos)

Create a new QAccessibleTextCursorEvent for iface, The cursorPos is the new cursor position.

### int QAccessibleTextCursorEvent::cursorPosition() const

Returns the cursor position.

See also setCursorPosition().

### void QAccessibleTextCursorEvent::setCursorPosition(int position)

Sets the cursor position for this event.

See also cursorPosition().